Name:           perl-Pod-Simple-Wiki
Version:        0.09
Release:        7%{?dist}
Summary:        Utility and perl classes for converting POD to Wiki text
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-Simple-Wiki/
Source0:        http://www.cpan.org/authors/id/J/JM/JMCNAMARA/Pod-Simple-Wiki-%{version}.tar.gz
Patch0:         perl-Pod-Simple-Wiki-0.09-escape.patch
# Reported upstream: http://rt.cpan.org/Public/Bug/Display.html?id=38833
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Test::More)
Requires:       perl(Pod::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
The Pod::Simple::Wiki module is used for converting Pod text to Wiki text.
It currently contains the following output filters: Confluence, Kwiki,
Mediawiki, Moinmoin, Template, Tiddlywiki, Twiki and Usemod.


%prep
%setup -q -n Pod-Simple-Wiki-%{version}
%patch0 -p1

# Convert Windows text file encoding
for FILE in $(find . -type f)
do
        sed 's/\r//g' $FILE |iconv -f cp1250 -t utf8 >$FILE.converted
        touch --reference $FILE $FILE.converted
        mv $FILE.converted $FILE
done


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/pod2wiki


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.09-5
- rebuild for rawhide. There was no build for this branch.

* Sun Aug 31 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.09-4
- Do not create a patch backup, so that the backed up file doesn't get installed

* Fri Aug 29 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.09-3
- Add Test::More to BR, re-wrap description

* Fri Aug 29 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.09-2
- Fix confluence escaping

* Fri Aug 29 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.09-1
- Specfile autogenerated by cpanspec 1.77.
- Fixed PLIST
